### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
Interpolation::templateImpl< I1, I2 > Class Template Reference

basic template implementation More...

`#include <ql/math/interpolation.hpp>`

Inheritance diagram for Interpolation::templateImpl< I1, I2 >:
[legend]

List of all members.

## Public Member Functions

| templateImpl (const I1 &xBegin, const I1 &xEnd, const I2 &yBegin)
Real | xMin () const
Real | xMax () const
std::vector< Real > | xValues () const
std::vector< Real > | yValues () const
bool | isInRange (Real x) const

## Protected Member Functions

Size | locate (Real x) const

## Protected Attributes

I1 | xBegin_
I1 | xEnd_
I2 | yBegin_

## Detailed Description

### template<class I1, class I2>
class QuantLib::Interpolation::templateImpl< I1, I2 >

basic template implementation